Debian Bug report logs - #541132
xterm: crashes when embedded by yeahconsole

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Axel Beckert <abe@deuxchevaux.org>

Date: Tue, 11 Aug 2009 20:57:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/244-1

Fixed in version xterm/244-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, abe@deuxchevaux.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541132; Package xterm. (Tue, 11 Aug 2009 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
New Bug report received and forwarded. Copy sent to abe@deuxchevaux.org, Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 20:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: crashes when embedded by yeahconsole
Date: Tue, 11 Aug 2009 22:54:58 +0200 (CEST)
Package: xterm
Version: 244-1
Severity: normal

With the upgrade to 244-1, yeahconsole's embedded (u)xterm crashes and
therefore yeahconsole doesn't work anymore (at least with uxterm):

!513 Z2 ?0 L1 abe@nemo:pts/3 (-zsh) 22:45:52 [~] > yeahconsole
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
10  XError caught
*** glibc detected *** xterm: malloc(): memory corruption (fast): 0x09e56220 ***
======= Backtrace: =========
/lib/i686/cmov/libc.so.6[0xb7df58f4]
/lib/i686/cmov/libc.so.6[0xb7df8935]
/lib/i686/cmov/libc.so.6(__libc_malloc+0x95)[0xb7df9cd5]
/usr/lib/libXt.so.6(XtMalloc+0x28)[0xb7bfcec8]
/usr/lib/libXt.so.6(_XtWaitForSomething+0x60d)[0xb7c16c7d]
/usr/lib/libXt.so.6(XtAppPending+0x16d)[0xb7c173fd]
xterm[0x805f505]
xterm[0x805fa00]
xterm[0x806b6d9]
/lib/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb7d9d7a5]
xterm[0x804d551]
======= Memory map: ========
08048000-08097000 r-xp 00000000 08:01 24691      /usr/bin/xterm
08097000-0809d000 rw-p 0004e000 08:01 24691      /usr/bin/xterm
0809d000-0809f000 rw-p 00000000 00:00 0 
09e0a000-09eb6000 rw-p 00000000 00:00 0          [heap]
b7403000-b7646000 rw-p 00000000 00:00 0 
b7700000-b7721000 rw-p 00000000 00:00 0 
b7721000-b7800000 ---p 00000000 00:00 0 
b7896000-b78d0000 rw-p 00000000 00:00 0 
b791f000-b7949000 r-xp 00000000 08:01 34243      /lib/libgcc_s.so.1
b7949000-b794a000 rw-p 00029000 08:01 34243      /lib/libgcc_s.so.1
b794a000-b794e000 r-xp 00000000 08:01 185670     /usr/lib/libXfixes.so.3.1.0
b794e000-b794f000 rw-p 00003000 08:01 185670     /usr/lib/libXfixes.so.3.1.0
b794f000-b7957000 r-xp 00000000 08:01 185674     /usr/lib/libXcursor.so.1.0.2
b7957000-b7958000 rw-p 00007000 08:01 185674     /usr/lib/libXcursor.so.1.0.2
b7958000-b7a9a000 r--p 00000000 08:01 203603     /usr/lib/locale/locale-archive
b7a9a000-b7a9c000 rw-p 00000000 00:00 0 
b7a9c000-b7aa0000 r-xp 00000000 08:01 185677     /usr/lib/libXdmcp.so.6.0.0
b7aa0000-b7aa1000 rw-p 00003000 08:01 185677     /usr/lib/libXdmcp.so.6.0.0
b7aa1000-b7ab6000 r-xp 00000000 08:01 43923      /lib/i686/cmov/libpthread-2.9.so
b7ab6000-b7ab7000 r--p 00014000 08:01 43923      /lib/i686/cmov/libpthread-2.9.so
b7ab7000-b7ab8000 rw-p 00015000 08:01 43923      /lib/i686/cmov/libpthread-2.9.so
b7ab8000-b7aba000 rw-p 00000000 00:00 0 
b7aba000-b7abd000 r-xp 00000000 08:01 65200      /lib/libuuid.so.1.3.0
b7abd000-b7abe000 rw-p 00002000 08:01 65200      /lib/libuuid.so.1.3.0
b7abe000-b7ac0000 r-xp 00000000 08:01 180190     /usr/lib/libXau.so.6.0.0
b7ac0000-b7ac1000 rw-p 00001000 08:01 180190     /usr/lib/libXau.so.6.0.0
b7ac1000-b7ac2000 rw-p 00000000 00:00 0 
b7ac2000-b7ada000 r-xp 00000000 08:01 185790     /usr/lib/libxcb.so.1.1.0
b7ada000-b7adb000 rw-p 00017000 08:01 185790     /usr/lib/libxcb.so.1.1.0
b7adb000-b7aff000 r-xp 00000000 08:01 180418     /usr/lib/libexpat.so.1.5.2
b7aff000-b7b01000 rw-p 00023000 08:01 180418     /usr/lib/libexpat.so.1.5.2
b7b01000-b7b03000 r-xp 00000000 08:01 43926      /lib/i686/cmov/libdl-2.9.so
b7b03000-b7b04000 r--p 00001000 08:01 43926      /lib/i686/cmov/libdl-2.9.so
b7b04000-b7b05000 rw-p 00002000 08:01 43926      /lib/i686/cmov/libdl-2.9.so
b7b05000-b7b14000 r-xp 00000000 08:01 49330      /usr/lib/libXpm.so.4.11.0
b7b14000-b7b15000 rw-p 0000e000 08:01 49330      /usr/lib/libXpm.so.4.11.0
b7b15000-b7b1c000 r-xp 00000000 08:01 179353     /usr/lib/libSM.so.6.0.0
b7b1c000-b7b1d000 rw-p 00006000 08:01 179353     /usr/lib/libSM.so.6.0.0
b7b1d000-b7b1e000 rw-p 00000000 00:00 0 
b7b1e000-b7b2b000 r-xp 00000000 08:01 181278     /usr/lib/libXext.so.6.4.0
b7b2b000-b7b2c000 rw-p 0000c000 08:01 181278     /usr/lib/libXext.so.6.4.0
b7b2c000-b7b34000 r-xp 00000000 08:01 49924      /usr/lib/libXrender.so.1.3.0
b7b34000-b7b35000 rw-p 00007000 08:01 49924      /usr/lib/libXrender.so.1.3.0
b7b35000-b7b49000 r-xp 00000000 08:01 179519     /usr/lib/libz.so.1.2.3.3
b7b49000-b7b4a000 rw-p 00013000 08:01 179519     /usr/lib/libz.so.1.2.3.3
b7b4a000-b7bbd000 r-xp 00000000 08:01 180874     /usr/lib/libfreetype.so.6.3.20
b7bbd000-b7bc1000 rw-p 00072000 08:01 180874     /usr/lib/libfreetype.so.6.3.20
b7bc1000-b7bd6000 r-xp 00000000 08:01 180919     /usr/lib/libICE.so.6.3.0
b7bd6000-b7bd7000 rw-p 00014000 08:01 180919     /usr/lib/libICE.so.6.3.0
b7bd7000-b7bda000 rw-p 00000000 00:00 0 
b7bda000-b7bef000 r-xp 00000000 08:01 180243     /usr/lib/libXmu.so.6.2.0
b73  XError caught

My yeahconsole configuration (via xrdb):

yeahconsole*term: uxterm
yeahconsole*consoleHeight: 9
yeahconsole*toggleKey: ControlAlt+z

Feel free to reassign this bug if you think this is a bug in
yeahconsole, but to me it looks like an xterm problem on a first
glance.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'stable'), (500, 'testing'), (400, 'oldstable'), (110, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                  2.9-24            GNU C Library: Shared libraries
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libncurses5            5.7+20090803-1+b1 shared libraries for terminal hand
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxaw7                2:1.0.6-1         X11 Athena Widget library
ii  libxft2                2.1.13-3          FreeType-based font drawing librar
ii  libxmu6                2:1.0.4-2         X11 miscellaneous utility library
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  xbitmaps               1.0.1-2           Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+3    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Message sent on to Axel Beckert <abe@deuxchevaux.org>:
Bug#541132. (Wed, 12 Aug 2009 20:09:08 GMT) Full text and rfc822 format available.

Message #8 received at 541132-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541160@bugs.debian.org
Cc: 541160-submitter@bugs.debian.org, 541132-submitter@bugs.debian.org, 541236-submitter@bugs.debian.org, 541109-submitter@bugs.debian.org
Subject: re: #541160 xterm: heap corruption when changing window size
Date: Wed, 12 Aug 2009 16:05:39 -0400
[Message part 1 (text/plain, inline)]
...just bad timing (I'm now looking to see the problem).  A short-term fix
should be to configure/build xterm using --disable-fifo-lines

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 12 Aug 2009 22:39:28 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@deuxchevaux.org>:
Bug acknowledged by developer. (Wed, 12 Aug 2009 22:39:28 GMT) Full text and rfc822 format available.

Message #13 received at 541132-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 541132-close@bugs.debian.org
Subject: Bug#541132: fixed in xterm 244-2
Date: Wed, 12 Aug 2009 22:10:48 +0000
Source: xterm
Source-Version: 244-2

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_244-2.diff.gz
  to pool/main/x/xterm/xterm_244-2.diff.gz
xterm_244-2.dsc
  to pool/main/x/xterm/xterm_244-2.dsc
xterm_244-2_i386.deb
  to pool/main/x/xterm/xterm_244-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Aug 2009 22:25:16 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 244-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 541109 541132 541160 541236
Changes: 
 xterm (244-2) unstable; urgency=low
 .
   * Configure with --disable-fifo-lines to work around a crash in the new
     saved-lines handling code (closes: #541236, #541160, #541132, #541109).
     Thanks to Thomas Dickey for the workaround.
Checksums-Sha1: 
 c348379fba7126d8fa75b851ebcb1d5b466012d5 1339 xterm_244-2.dsc
 f9df25a257f7ea52eaa49f3db4404e30ab79fab1 73095 xterm_244-2.diff.gz
 676e9f54a470b162f9bf5c9fd256fb75b3b1fd07 495094 xterm_244-2_i386.deb
Checksums-Sha256: 
 d43e5912488ddafa81cb0e5bde04c861baa35920fd7d9f52ed7de327603d5c6f 1339 xterm_244-2.dsc
 900153967c5de4c153544cab734d8b87d5dce87b5f0b35e7e613e89271795cee 73095 xterm_244-2.diff.gz
 5bb330e5b862a6ca98f9c7f4ee4f2bbc26d21c9922c2d57ab5040ffddf0f8950 495094 xterm_244-2_i386.deb
Files: 
 48a1847692e0e85d7c1e0d56d126496f 1339 x11 optional xterm_244-2.dsc
 7562993a3b4b9757715f612d44435b02 73095 x11 optional xterm_244-2.diff.gz
 e85a0b155e6e5459a7b89320f394f75e 495094 x11 optional xterm_244-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqDKY4ACgkQmEvTgKxfcAwa1wCeJ++RoLUsWQGG9tup6ZS7UXoB
8O8AoK4e8Py1JUqXfRp+XoGVEOkr2S9Q
=OtTF
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541132; Package xterm. (Wed, 12 Aug 2009 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 12 Aug 2009 23:12:03 GMT) Full text and rfc822 format available.

Message #18 received at 541132@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 541132@bugs.debian.org
Subject: Re: Bug#541132 closed by Julien Cristau <jcristau@debian.org> (Bug#541132: fixed in xterm 244-2)
Date: Thu, 13 Aug 2009 01:09:01 +0200
Hi Julien,

On Wed, Aug 12, 2009 at 10:39:28PM +0000, Debian Bug Tracking System wrote:
>    * Configure with --disable-fifo-lines to work around a crash in the new
>      saved-lines handling code (closes: #541236, #541160, #541132, #541109).
>      Thanks to Thomas Dickey for the workaround.

Thanks for this very prompt response and fix. Works fine here, too.

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541132; Package xterm. (Thu, 20 Aug 2009 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 20 Aug 2009 00:39:04 GMT) Full text and rfc822 format available.

Message #23 received at 541132@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541132@bugs.debian.org
Cc: 541132-submitter@bugs.debian.org
Subject: re: #541132 xterm: crashes when embedded by yeahconsole
Date: Wed, 19 Aug 2009 20:32:52 -0400
[Message part 1 (text/plain, inline)]
This seems to work properly with xterm patch #246

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Thu, 20 Aug 2009 00:39:06 GMT) Full text and rfc822 format available.

Message sent on to Axel Beckert <abe@deuxchevaux.org>:
Bug#541132. (Thu, 20 Aug 2009 00:39:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 17 Sep 2009 07:31:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:34:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.